Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 3445)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 3448)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Add biometeorology
+! 
+! 3421 2018-10-24 18:39:32Z gronemeier
 ! Initialize surface data output
 ! 
@@ -533,4 +536,7 @@
                ideal_gas_law_rho, ideal_gas_law_rho_pt, barometric_formula
 
+    USE biometeorology_mod,                                                    &
+        ONLY:  biom_init, biom_init_arrays
+
     USE bulk_cloud_model_mod,                                                  &
         ONLY:  bulk_cloud_model, bcm_init, bcm_init_arrays
@@ -552,5 +558,5 @@
     USE gust_mod,                                                              &
         ONLY:  gust_init, gust_init_arrays, gust_module_enabled
-    
+
     USE indices
     
@@ -578,5 +584,5 @@
         ONLY:  chem_emis, chem_emis_att, init_3d,                              &
                netcdf_data_input_init_3d, netcdf_data_input_interpolate
-        
+
     USE nesting_offl_mod,                                                      &
         ONLY:  nesting_offl_init
@@ -628,5 +634,5 @@
         ONLY :  init_surface_arrays, init_surfaces, surf_def_h, surf_lsm_h,    &
                 surf_usm_h, get_topography_top_index_ji, vertical_surfaces_exist
-                
+   
     USE surface_output_mod,                                                    &
         ONLY:  surface_output_init
@@ -1050,4 +1056,5 @@
 !
 !-- Allocate arrays for other modules
+    IF ( biometeorology      )  CALL biom_init_arrays
     IF ( bulk_cloud_model    )  CALL bcm_init_arrays
     IF ( gust_module_enabled )  CALL gust_init_arrays
@@ -2413,6 +2420,14 @@
 
 !
+!-- If required initialize biometeorology module
+    IF ( biometeorology )  THEN
+        CALL location_message( 'initializing biometeorology module', .FALSE. )
+        CALL biom_init
+        CALL location_message( 'finished', .TRUE. )
+    ENDIF
+
+!
 !-- Initialize the ws-scheme.    
-    IF ( ws_scheme_sca .OR. ws_scheme_mom )  CALL ws_init        
+    IF ( ws_scheme_sca .OR. ws_scheme_mom )  CALL ws_init
 
 !
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 3445)
+++ palm/trunk/SOURCE/modules.f90	(revision 3448)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Add biometeorology
+! 
+! 3435 2018-10-26 18:25:44Z gronemeier
 ! +mask_k_over_surface, mask_surface
 ! 
@@ -425,4 +428,7 @@
 ! Increased pr_palm to 120. Increased length of dots_unit and dots_label to 13
 ! digits. Increased length of domask, do2d, and do3d to 20 digits.
+! 
+! 1496 2014-12-02 17:25:50Z maronga
+! Renamed "radiation" -> "cloud_top_radiation"
 ! 
 ! 1484 2014-10-21 10:53:05Z kanani
@@ -1305,4 +1311,5 @@
     LOGICAL ::  bc_radiation_r = .FALSE.                         !< radiation boundary condition for outflow at right domain boundary
     LOGICAL ::  bc_radiation_s = .FALSE.                         !< radiation boundary condition for outflow at south domain boundary
+    LOGICAL ::  biometeorology = .FALSE.                         !< biometeorology module switch
     LOGICAL ::  calc_soil_moisture_during_spinup = .FALSE.       !< namelist parameter
     LOGICAL ::  call_psolver_at_all_substeps = .TRUE.            !< namelist parameter
Index: palm/trunk/SOURCE/multi_agent_system_mod.f90
===================================================================
--- palm/trunk/SOURCE/multi_agent_system_mod.f90	(revision 3445)
+++ palm/trunk/SOURCE/multi_agent_system_mod.f90	(revision 3448)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Adjustment of biometeorology calls,
+! implement some agent biometeorology
+! 
+! 3274 2018-09-24 15:42:55Z knoop
 ! Modularization of all bulk cloud physics code components
 ! 
@@ -84,5 +88,6 @@
 
     USE control_parameters,                                                    &
-        ONLY:  dt_3d, message_string, time_since_reference_point, dt_write_agent_data
+        ONLY:  biometeorology, dt_3d, dt_write_agent_data, message_string,     &
+               time_since_reference_point
 
     USE cpulog,                                                                &
@@ -206,4 +211,11 @@
         REAL(wp)     ::  clo                  !< clothing index
         REAL(wp)     ::  energy_storage       !< energy stored by agent
+        REAL(wp)     ::  clothing_temp        !< energy stored by agent
+        REAL(wp)     ::  actlev               !< metabolic + work energy of the person
+        REAL(wp)     ::  age_years            !< physical age of the person
+        REAL(wp)     ::  weight               !< total weight of the person (kg)
+        REAL(wp)     ::  height               !< height of the person (m)
+        REAL(wp)     ::  work                 !< workload of the agent (W)
+        INTEGER(iwp) ::  sex                  !< agents gender: 1 = male, 2 = female
         REAL(wp)     ::  force_x              !< force term x-direction
         REAL(wp)     ::  force_y              !< force term y-direction
@@ -218,5 +230,5 @@
         REAL(wp)     ::  speed_x              !< speed of agent in x
         REAL(wp)     ::  speed_y              !< speed of agent in y
-        REAL(wp)     ::  thermal_index        !< the dynamic thermal index
+        REAL(wp)     ::  ipt                  !< instationary thermal index iPT (Â°C)
         REAL(wp)     ::  windspeed            !< absolute value of windspeed at agent position
         REAL(wp)     ::  x                    !< x-position
@@ -329,6 +341,7 @@
  SUBROUTINE multi_agent_system
 
-!     USE htcm_mod,                                                              &
-!         ONLY:  htcm_dynamic
+    USE biometeorology_mod,                                                   &
+        ONLY:  biom_calc_ipt, biom_determine_input_at
+
 
     IMPLICIT NONE
@@ -341,4 +354,12 @@
     INTEGER(iwp)       ::  js                 !< counter
     INTEGER(iwp), SAVE ::  mas_count = 0      !< counts the mas-calls
+    INTEGER(iwp)                :: a     !< agent iterator
+    !-- local meteorological conditions
+    REAL(wp)                    :: tmrt  !< mean radiant temperature        (Â°C)
+    REAL(wp)                    :: ta    !< air temperature                 (Â°C)
+    REAL(wp)                    :: vp    !< vapour pressure                 (hPa)
+    REAL(wp)                    :: v     !< wind speed    (local level)     (m/s)
+    REAL(wp)                    :: pair  !< air pressure                    (hPa)
+
 
     LOGICAL       ::  first_loop_stride   !< flag for first loop stride of agent sub-timesteps
@@ -502,20 +523,45 @@
        deleted_agents = 0
 !
-!--    to be included here: call of human thermal comfort mod (and UV exposure)
-!        DO  i = nxl, nxr
-!           DO  j = nys, nyn
-! 
-!              number_of_agents = agt_count(j,i)
-! !
-! !--          If grid cell gets empty, cycle
-!              IF ( number_of_agents <= 0 ) CYCLE
-! 
-!              agents => grid_agents(j,i)%agents(1:number_of_agents)
-! !
-! !--          Evaluation of social forces
-!              CALL htcm_dynamic(i,j)
-! 
-!           ENDDO
-!        ENDDO
+       IF ( biometeorology )  THEN
+!
+!--       Call of human thermal comfort mod (and UV exposure)
+          DO  i = nxl, nxr
+             DO  j = nys, nyn
+
+                number_of_agents = agt_count(j,i)
+!
+!--             If grid cell gets empty, cycle
+                IF ( number_of_agents <= 0 )  CYCLE
+
+                agents => grid_agents(j,i)%agents(1:number_of_agents)
+!
+!--             Evaluation of social forces
+!                CALL biom_dynamic(i,j)
+!
+!--             Determine local meteorological conditions
+                CALL biom_determine_input_at ( .FALSE., i, j, ta, vp, v,      &
+                                               pair, tmrt )
+
+                DO  a = 1, number_of_agents
+!
+!--                Calculate instationary thermal indices based on local tmrt
+
+                   CALL biom_calc_ipt ( ta, vp, v, pair, tmrt,                &
+                                        agents(a)%dt_sum,                     &
+                                        agents(a)%energy_storage,             &
+                                        agents(a)%clothing_temp,              &
+                                        agents(a)%clo,                        &
+                                        agents(a)%actlev,                     &
+                                        agents(a)%age_years,                  &
+                                        agents(a)%weight,                     &
+                                        agents(a)%height,                     &
+                                        agents(a)%work,                       &
+                                        agents(a)%sex,                        &
+                                        agents(a)%ipt )
+                END DO
+
+             ENDDO
+          ENDDO
+       ENDIF
 
        IF ( dt_3d_reached_mas )  EXIT
@@ -799,6 +845,14 @@
                          tmp_agent%age_m         = 0.0_wp
                          tmp_agent%dt_sum        = 0.0_wp
-                         tmp_agent%clo           = 99999.0_wp
+                         tmp_agent%clo           = -999.0_wp
                          tmp_agent%energy_storage= 0.0_wp
+                         tmp_agent%ipt           = 99999.0_wp
+                         tmp_agent%clothing_temp = -999._wp      !< energy stored by agent (W)
+                         tmp_agent%actlev        = 134.6862_wp   !< metabolic + work energy of the person
+                         tmp_agent%age_years     = 35._wp        !< physical age of the person
+                         tmp_agent%weight        = 75._wp        !< total weight of the person (kg)
+                         tmp_agent%height        = 1.75_wp       !< height of the person (m)
+                         tmp_agent%work          = 134.6862_wp   !< workload of the agent (W)
+                         tmp_agent%sex           = 1             !< agents gender: 1 = male, 2 = female
                          tmp_agent%force_x       = 0.0_wp
                          tmp_agent%force_y       = 0.0_wp
@@ -812,5 +866,4 @@
                          tmp_agent%speed_x       = 0.0_wp
                          tmp_agent%speed_y       = 0.0_wp
-                         tmp_agent%thermal_index = 99999.0_wp
                          tmp_agent%x             = pos_x
                          tmp_agent%y             = pos_y
@@ -3185,5 +3238,5 @@
           zero_agent%speed_x       = 0.0_wp
           zero_agent%speed_y       = 0.0_wp
-          zero_agent%thermal_index = 0.0_wp
+          zero_agent%ipt           = 0.0_wp
           zero_agent%x             = 0.0_wp
           zero_agent%y             = 0.0_wp
Index: palm/trunk/SOURCE/netcdf_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 3445)
+++ palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 3448)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Adjustment of biometeorology calls
+! 
+! 3435 2018-10-26 18:25:44Z gronemeier
 ! Bugfix: corrected order of calls to define_netcdf_grid for masked output
 ! Add vertical dimensions to masked output in case of terrain-following output
@@ -312,5 +315,6 @@
 
     USE control_parameters,                                                    &
-        ONLY:  fl_max, max_masks, multi_agent_system_end,                      &
+        ONLY:  biometeorology, fl_max,                                         &
+               max_masks, multi_agent_system_end,                              &
                multi_agent_system_start, var_fl_max, varnamelength
     USE kinds
@@ -326,5 +330,5 @@
           (/ 'ag_id           ', 'ag_x            ', 'ag_y            ',       &
              'ag_wind         ', 'ag_temp         ', 'ag_group        ',       &
-             'PM10            ', 'PM25            ', 'ag_therm_comf   ',       &
+             'PM10            ', 'PM25            ', 'ag_iPT          ',       &
              'ag_uv           ', 'not_used        ', 'not_used        ',       &
              'not_used        ' /)
@@ -513,5 +517,5 @@
                    id_var_zu_mask, id_var_zw_mask, &
                    id_var_zusi_mask, id_var_zwwi_mask
-                   
+
     INTEGER(iwp), DIMENSION(1:max_masks,0:1,0:2) ::  id_var_eutm_mask, &
                                                      id_var_nutm_mask
@@ -576,4 +580,7 @@
     USE arrays_3d,                                                             &
         ONLY:  zu, zw
+
+    USE biometeorology_mod,                                                    &
+        ONLY:  biom_define_netcdf_grid
 
     USE chemistry_model_mod,                                                   &
@@ -635,7 +642,4 @@
     USE radiation_model_mod,                                                   &
         ONLY: radiation, radiation_define_netcdf_grid
-
-    USE biometeorology_mod,                                                    &
-        ONLY: biometeorology_define_netcdf_grid
 
     USE spectra_mod,                                                           &
@@ -1132,11 +1136,4 @@
                    ENDIF
 !
-!--                Check for biometeorology quantities
-                   IF ( .NOT. found  .AND.  radiation )  THEN
-                      CALL biometeorology_define_netcdf_grid( domask(mid,av,i),&
-                                                         found, grid_x, grid_y,&
-                                                         grid_z )
-                   ENDIF
-!
 !--                Now check for user-defined quantities
                    IF ( .NOT. found )  THEN
@@ -1872,16 +1869,15 @@
                    ENDIF
 
-!
-!--                Check for biometeorology quantities
-                   IF ( .NOT. found  .AND.  radiation )  THEN
-                      CALL biometeorology_define_netcdf_grid( do3d(av,i), found,&
-                                                         grid_x, grid_y,       &
-                                                         grid_z )
-                   ENDIF
-
 !--                Check for gust module quantities
                    IF ( .NOT. found  .AND.  gust_module_enabled )  THEN
                       CALL gust_define_netcdf_grid( do3d(av,i), found, grid_x, &
                                                     grid_y, grid_z )
+                   ENDIF
+
+!
+!--                Check for biometeorology quantities
+                   IF ( .NOT. found  .AND.  biometeorology )  THEN
+                      CALL biom_define_netcdf_grid( do3d(av,i), found,         &
+                                                    grid_x, grid_y, grid_z )
                    ENDIF
 
@@ -2469,4 +2465,12 @@
 
           ENDDO
+!
+!--       Define vars for biometeorology
+          CALL netcdf_create_var( id_set_agt, (/ id_dim_agtnum,                &
+                                  id_dim_time_agt /), agt_var_names(9),        &
+                                  nc_precision(8), id_var_agt(9),              &
+                                  TRIM( agt_var_units(9) ),                    &
+                                  TRIM( agt_var_names(9) ), 339, 340, 341 )
+
 !
 !--       Leave netCDF define mode
@@ -2827,12 +2831,4 @@
 
 !
-!--                      Check for biometeorology quantities
-                         IF ( .NOT. found  .AND.  radiation )  THEN
-                            CALL biometeorology_define_netcdf_grid( do2d(av,i),&
-                                                         found, grid_x, grid_y,&
-                                                         grid_z )
-                         ENDIF
-
-!
 !--                      Check for gust module quantities
                          IF ( .NOT. found  .AND.  gust_module_enabled )  THEN
@@ -2841,5 +2837,11 @@
                                                           grid_z )
                          ENDIF
-
+!
+!--                      Check for human thermal comfort quantities
+                         IF ( .NOT. found  .AND.  biometeorology )  THEN
+                            CALL biom_define_netcdf_grid( do2d( av, i), found, &
+                                                          grid_x, grid_y,      &
+                                                          grid_z )
+                         ENDIF
 !
 !--                      Check for chemistry quantities
@@ -2894,4 +2896,6 @@
                    ELSEIF ( grid_z == 'zs' )  THEN
                       id_z = id_dim_zs_xy(av)
+                   ELSEIF ( grid_z == 'zu1' )  THEN
+                      id_z = id_dim_zu1_xy(av)
                    ENDIF
 
@@ -3188,5 +3192,5 @@
                                           count = (/ nx+1, ny+1 /) )
                   CALL netcdf_handle_error( 'netcdf_define_header', 556 )
-                
+
                 ENDDO
                 DEALLOCATE( netcdf_data_2d )
@@ -3724,13 +3728,4 @@
 
 !
-!--                   Check for biometeorology quantities
-                      IF ( .NOT. found  .AND.  radiation )  THEN
-                         CALL biometeorology_define_netcdf_grid( do2d(av,i),   &
-                                                            found,             &
-                                                            grid_x, grid_y,    &
-                                                            grid_z )
-                      ENDIF
-
-!
 !--                   Check for gust module quantities
                       IF ( .NOT. found  .AND.  gust_module_enabled )  THEN
@@ -4582,13 +4577,4 @@
 
 !
-!--                   Check for biometeorology quantities
-                      IF ( .NOT. found  .AND.  radiation )  THEN
-                         CALL biometeorology_define_netcdf_grid( do2d(av,i),   &
-                                                            found,             &
-                                                            grid_x, grid_y,    &
-                                                            grid_z )
-                      ENDIF
-
-!
 !--                   Check for gust module quantities
                       IF ( .NOT. found  .AND.  gust_module_enabled )  THEN
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 3445)
+++ palm/trunk/SOURCE/parin.f90	(revision 3448)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Add biometeorology
+! 
+! 3435 2018-10-26 18:25:44Z gronemeier
 ! Add mask_k_over_surface
 ! 
@@ -304,4 +307,7 @@
 ! 1560 2015-03-06 10:48:54Z keck
 ! +recycling_yshift
+! 
+! 1496 2014-12-02 17:25:50Z maronga
+! Renamed: "radiation -> "cloud_top_radiation"
 ! 
 ! 1484 2014-10-21 10:53:05Z kanani
@@ -442,4 +448,7 @@
                ug, u_init, v_init, vg
 
+    USE biometeorology_mod,                                                    &
+        ONLY:  biom_parin
+
     USE bulk_cloud_model_mod,                                                  &
         ONLY:  bcm_parin
@@ -494,5 +503,5 @@
 
     USE pegrid
-               
+
     USE plant_canopy_model_mod,                                                &
          ONLY: pcm_parin
@@ -702,5 +711,5 @@
              dt_do2d_xz, dt_do2d_yz, dt_do3d, dt_max, dt_restart,              &
              dt_run_control,end_time, force_print_header, mask_k_over_surface, &
-             mask_scale_x,        &
+             mask_scale_x,                                                     &
              mask_scale_y, mask_scale_z, mask_x, mask_y, mask_z, mask_x_loop,  &
              mask_y_loop, mask_z_loop, netcdf_data_format, netcdf_deflate,     &
@@ -724,5 +733,5 @@
              dt_do2d_xz, dt_do2d_yz, dt_do3d, dt_max, dt_restart,              &
              dt_run_control,end_time, force_print_header, mask_k_over_surface, &
-             mask_scale_x,        &
+             mask_scale_x,                                                     &
              mask_scale_y, mask_scale_z, mask_x, mask_y, mask_z, mask_x_loop,  &
              mask_y_loop, mask_z_loop, netcdf_data_format, netcdf_deflate,     &
@@ -884,11 +893,7 @@
 !
 !--       Check for module namelists and read them
+          CALL biom_parin
           CALL lsm_parin
-!
-!--       Check if bulk cloud model is used and read namelist if required
-          CALL bcm_parin 
-!
-!--       Check if surface output is enabled and read 
-!--       &surface_output_parameters if required          
+          CALL bcm_parin
           CALL surface_output_parin
           CALL usm_parin
Index: palm/trunk/SOURCE/sum_up_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 3445)
+++ palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 3448)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Adjustment of biometeorology calls
+! 
+! 3421 2018-10-24 18:39:32Z gronemeier
 ! Renamed output variables
 ! 
@@ -236,4 +239,7 @@
         ONLY:  c_p, lv_d_cp, l_v
 
+    USE biometeorology_mod,                                                    &
+        ONLY:  biom_3d_data_averaging
+
     USE bulk_cloud_model_mod,                                                  &
         ONLY:  bulk_cloud_model, bcm_3d_data_averaging
@@ -243,7 +249,7 @@
 
     USE control_parameters,                                                    &
-        ONLY:  air_chemistry, average_count_3d, doav, doav_n, land_surface,    &
-               ocean_mode, rho_surface, urban_surface, uv_exposure,            &
-               varnamelength
+        ONLY:  air_chemistry, average_count_3d, biometeorology, doav, doav_n,  &
+               land_surface, ocean_mode, rho_surface, urban_surface,           &
+               uv_exposure, varnamelength
 
     USE cpulog,                                                                &
@@ -269,7 +275,4 @@
     USE radiation_model_mod,                                                   &
         ONLY:  radiation, radiation_3d_data_averaging
-
-    USE biometeorology_mod,                                                    &
-        ONLY:  biometeorology_3d_data_averaging
 
     USE surface_mod,                                                           &
@@ -517,10 +520,10 @@
                 ENDIF
 
-                IF ( radiation  .AND.  trimvar(1:4) == 'bio_' )  THEN
-                   CALL biometeorology_3d_data_averaging( 'allocate', doav(ii) )
-                ENDIF
-
                 IF ( gust_module_enabled )  THEN
                    CALL gust_3d_data_averaging( 'allocate', doav(ii) )
+                ENDIF
+
+                IF ( biometeorology  .AND.  trimvar(1:5) == 'biom_')  THEN
+                   CALL biom_3d_data_averaging( 'allocate', doav(ii) )
                 ENDIF
 
@@ -1165,10 +1168,10 @@
              ENDIF
 
-             IF ( radiation   .AND.  trimvar(1:4) == 'bio_')  THEN
-                CALL biometeorology_3d_data_averaging( 'sum', doav(ii) )
-             ENDIF
-
              IF ( gust_module_enabled )  THEN
                 CALL gust_3d_data_averaging( 'sum', doav(ii) )
+             ENDIF
+
+             IF ( biometeorology  .AND.  trimvar(1:5) == 'biom_' )  THEN
+                   CALL biom_3d_data_averaging( 'sum', doav(ii) )
              ENDIF
 
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 3445)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 3448)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Add biometeorology
+! 
+! 3421 2018-10-24 18:39:32Z gronemeier
 ! Surface data output
 ! 
@@ -393,4 +396,7 @@
                v_p, w, w_p
 
+    USE biometeorology_mod,                                                    &
+        ONLY:  biom_calculate_static_grid, time_biom_results
+
     USE bulk_cloud_model_mod,                                                  &
         ONLY: bulk_cloud_model, calc_liquid_water_content,                     &
@@ -413,5 +419,5 @@
         ONLY:  advected_distance_x, advected_distance_y, air_chemistry,        &
                average_count_3d, averaging_interval, averaging_interval_pr,    &
-               bc_lr_cyc, bc_ns_cyc, bc_pt_t_val, bc_q_t_val,                  &
+               bc_lr_cyc, bc_ns_cyc, bc_pt_t_val, bc_q_t_val, biometeorology,  &
                call_psolver_at_all_substeps,  child_domain, cloud_droplets,    &
                constant_flux_layer, constant_heatflux,                         &
@@ -479,5 +485,5 @@
     USE multi_agent_system_mod,                                                &
         ONLY:  agents_active, multi_agent_system
-        
+
     USE nesting_offl_mod,                                                      &
         ONLY:  nesting_offl_bc, nesting_offl_mass_conservation
@@ -523,5 +529,5 @@
     USE surface_mod,                                                           &
         ONLY:  surf_def_h, surf_lsm_h, surf_usm_h
-        
+
     USE surface_output_mod,                                                    &
         ONLY:  average_count_surf, averaging_interval_surf, dt_dosurf,         &
@@ -1285,4 +1291,11 @@
 
 !
+!--    Biometeorology calculation of stationary thermal indices
+       IF ( biometeorology  .AND.  time_do3d >= dt_do3d )  THEN
+          CALL biom_calculate_static_grid ( .FALSE. )
+          time_biom_results = time_since_reference_point
+       ENDIF
+
+!
 !--    Execute the gust module actions
        IF ( gust_module_enabled )  THEN
@@ -1548,5 +1561,5 @@
 
     ENDDO   ! time loop
-    
+
 !
 !-- Vertical nesting: Deallocate variables initialized for vertical nesting    
Index: palm/trunk/SOURCE/uv_exposure_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/uv_exposure_model_mod.f90	(revision 3445)
+++ palm/trunk/SOURCE/uv_exposure_model_mod.f90	(revision 3448)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Temporary rename of namelist until uv model moves to biometeorology module
+! 
+! 3274 2018-09-24 15:42:55Z knoop
 ! Modularization of all bulk cloud physics code components
 ! 
@@ -454,5 +457,5 @@
     CHARACTER (LEN=80) ::  line  !< dummy string for current line in parameter file 
     
-    NAMELIST /biometeorology_parameters/  clothing
+    NAMELIST /biometeorology_parameters_uv/  clothing
     
     line = ' '
@@ -462,5 +465,5 @@
     REWIND ( 11 )
     line = ' '
-    DO WHILE ( INDEX( line, '&biometeorology_parameters' ) == 0 )
+    DO WHILE ( INDEX( line, '&biometeorology_parameters_uv' ) == 0 )
        READ ( 11, '(A)', END=20 )  line
     ENDDO
@@ -469,5 +472,5 @@
 !
 !-- Read user-defined namelist
-    READ ( 11, biometeorology_parameters, ERR = 10, END = 20 )
+    READ ( 11, biometeorology_parameters_uv, ERR = 10, END = 20 )
 
 !
@@ -477,5 +480,5 @@
  10 BACKSPACE( 11 )
     READ( 11 , '(A)') line
-    CALL parin_fail_message( 'biometeorology_parameters', line )
+    CALL parin_fail_message( 'biometeorology_parameters_uv', line )
 
 
